Page MenuHomePhabricator

Write script to charge Ingenico recurring donations
Closed, ResolvedPublic4 Story Points

Description

Would be awesome if this could just be Civi and SmashPig talking, without needing DonationInterface. If that's not feasible, just use the new Ingenico adapter.

Details

Related Gerrit Patches:

Event Timeline

Ejegg created this task.Jul 18 2017, 6:56 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 18 2017, 6:56 PM
Ejegg triaged this task as Medium priority.Jul 18 2017, 6:56 PM
Ejegg moved this task from Backlog to 1-hour test on the Fr-Ingenico-integration_2017-18 board.
Ejegg set the point value for this task to 4.

@Ejegg can we chat about this to see if it's something I can move onto?

Change 427723 had a related patch set uploaded (by Jgleeson; owner: Jgleeson):
[wikimedia/fundraising/SmashPig@master] WIP - Added Mapper Transformer behaviour

https://gerrit.wikimedia.org/r/427723

Change 427198 had a related patch set uploaded (by Jgleeson; owner: Jgleeson):
[wikimedia/fundraising/SmashPig@master] Add new Mapper component. Add createPayment.yaml map for ingenico createPayment call.

https://gerrit.wikimedia.org/r/427198

Change 428945 had a related patch set uploaded (by Jgleeson; owner: Jgleeson):
[wikimedia/fundraising/SmashPig@master] Added manual test cli script for Ingenico createPayment call

https://gerrit.wikimedia.org/r/428945

Change 429519 had a related patch set uploaded (by Ejegg; owner: Ejegg):
[wikimedia/fundraising/crm@master] Add payment processor id to recur record

https://gerrit.wikimedia.org/r/429519

Change 429519 merged by jenkins-bot:
[wikimedia/fundraising/crm@master] Add payment processor id to recur record

https://gerrit.wikimedia.org/r/429519

Change 427198 merged by jenkins-bot:
[wikimedia/fundraising/SmashPig@master] Add new Mapper component. Add createPayment.yaml map for ingenico createPayment call.

https://gerrit.wikimedia.org/r/427198

Change 427723 merged by jenkins-bot:
[wikimedia/fundraising/SmashPig@master] Ported Mapper Transformer behaviour from DI.

https://gerrit.wikimedia.org/r/427723

Change 428945 merged by jenkins-bot:
[wikimedia/fundraising/SmashPig@master] Added manual test cli script for Ingenico createPayment call

https://gerrit.wikimedia.org/r/428945

Ejegg claimed this task.May 29 2018, 7:22 PM
Ejegg added a comment.Jul 3 2018, 3:49 PM

I was thinking we would need an extra p-c job to run these, but of course it's running as part of the CiviCRM cron job. Think it might be nice to disable the job schedule in CiviCron and use a p-c wrapper so we can see the logging next to our other jobs.

However, it doesn't seem to have charged any yet. Looks like the 7 donations that are in there have a next_scheduled_contribution_date of July 11th, the next cycle day after they were finally imported.

Ejegg closed this task as Resolved.Jul 11 2018, 10:22 PM

Seems to be working!